Bug 141174 - HANG: Select all and deleting sheet with revisions
Summary: HANG: Select all and deleting sheet with revisions
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: perf, wantBacktrace
Depends on:
Blocks:
 
Reported: 2021-03-22 12:42 UTC by Xisco Faulí
Modified: 2022-03-06 16:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (14.02 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-03-22 12:42 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-03-22 12:42:48 UTC
Created attachment 170626 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all
3. Delete

-> LibreOffice hangs

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 5262a9e88037decc26da84e7fa62f2955d4cdb85
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Timur 2021-03-22 14:45:00 UTC Comment hidden (me-too)
Comment 2 Timur 2021-03-22 14:48:20 UTC
Repro also in Windows. As indicated with perf, sheet is eventually accessible, so hang is temporary.
Comment 3 m.a.riosv 2021-03-23 01:37:11 UTC
Seems the issue it's related to tracking changes enable.

The same happens deleting the rows below but not deleting the columns after.
Comment 4 Commit Notification 2022-03-05 17:07:49 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/805e73b555df277e7fb35825a0c48d244a2691a9

don't bother tracking changes if both cells are empty (tdf#141174)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Roman Kuznetsov 2022-03-06 16:48:51 UTC
verified in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 7ac19fbce8a35f559eebb879cd0f232bfc95e703
CPU threads: 4; OS: Mac OS X 12.1; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded Jumbo

Thanks for fixing, Luboš